<div class="p-grid user-profile" *ngIf="!util.blockedUI">

    <div class="p-col-12">

        <div class="user-banner">

            <div class="profile-info">
                <div class="profile-image">
                    <img src="./assets/extras/thumb.png" [alt]="user.name"
                         [style]="{ width: '9rem', height: '9rem' }">
                </div>
                <div class="user-info">
                    <div>
                        <div class="user-name">{{ user.name }}</div>
                    </div>
                    <div>
                        <div class="user-group">{{ user.group.description }}</div>
                    </div>
                </div>
            </div>

            <div class="profile-general-info">
                <div class="content-block">
                    <div class="title">CONTENT COUNT</div>
                    <div> {{ user?.totalPosts ? user.totalPosts : '0' }} </div>
                </div>
                <div class="content-block">
                    <div class="title">BRITHDAY</div>
                    <div> {{ user.birthday | date: 'dd/MM/yyyy' }} </div>
                </div>
            </div>

        </div>

        <div class="user-profile-info">

            <div class="p-grid p-nogutter">
                <div class="p-col-12 p-xl-3">
                    <div class="p-grid profile-container">
                        <div class="p-col-12">
                            <p-card>
                                <div class="card-title">
                                    {{ lang.getAbout() }} {{user.name}}
                                </div>
                                <div class="card-content"></div>
                            </p-card>
                        </div>
                        <div class="p-col-12">
                            <p-card>
                                <div class="card-title">Últimos posts</div>
                                <div class="card-content"></div>
                            </p-card>
                        </div>
                    </div>
                </div>
                <div class="p-col-12 p-xl-9">
                    <p-tabView [activeIndex]="0" styleClass="profile-tabview">
                        <p-tabPanel header="Perfil">
                            <ng-template pTemplate="content">
                            </ng-template>
                        </p-tabPanel>
                        <p-tabPanel header="Atividade">
                            <ng-template pTemplate="content">
                            </ng-template>
                        </p-tabPanel>
                        <p-tabPanel header="Contatos">
                            <ng-template pTemplate="content">
                            </ng-template>
                        </p-tabPanel>
                        <p-tabPanel header="Configurações">
                            <ng-template pTemplate="content">
                            </ng-template>
                        </p-tabPanel>
                    </p-tabView>
                </div>
            </div>

        </div>

    </div>

</div>
